init:
    $ mods["Titanoboa"]=u"{font=Titanoboa/fonts/Migrate.otf}{size=41}Титанобоа{/size}{/font}"
#### эту строку убрать при релизе ######
    $ config.developer = True
####### Персонажи #####
    $ kol_tit = Character(u"Коллега", color="#4de2f3", what_color="#ffdd7d", drop_shadow = [ (-1, -1), (1, -1), (-1, 1), (1, 1) ], drop_shadow_color = "#000")
###### кастомный переход ######
    $ swirl = ImageDissolve("Titanoboa/bg/dissolve1.jpg", 1.5, 30, reverse=False)
################ объявление названия #######
image Parameterized_ars_Text = ParameterizedText(color="#afeeee", font="Titanoboa/fonts/Templegarten.otf", size=92)
########## автообъявление графики ###########
init python:
    from os import path
    mods["Titanoboa"] = "{font=Titanoboa/fonts/Migrate.otf}{size=62}Титанобоа{/size}{/font}"
    Titanoboa_BGs_CGs = []
    for filePath in renpy.list_files():
        if "Titanoboa" in filePath:
            filename = path.splitext(path.basename(filePath))[0]
            if filePath.endswith((".png", ".jpg")):
                filePathSplit = filePath.split("/")
                filenameSplit = filename.split("_")
                if any(item in ["bg", "cg"] for item in filePathSplit + filenameSplit):
                    Titanoboa_BGs_CGs.append({ "filename": filename, "filePath": filePath })
                elif "sprites" in filePathSplit:
                    img = proportional_scale(filePath) if renpy.mobile else filePath
                    renpy.image(
                        filename,
                        ConditionSwitch(
                            "persistent.sprite_time == 'sunset'",
                            im.MatrixColor(
                                img,
                                im.matrix.tint(0.94, 0.82, 1.0)
                            ),
                            "persistent.sprite_time == 'night'",
                            im.MatrixColor(
                                img,
                                im.matrix.tint(0.63, 0.78, 0.82)
                            ),
                            True,
                            img
                        )
                    )
                else:
                    renpy.image(filename, filePath)
            elif filePath.endswith((".wav", ".mp2", ".mp3", ".ogg", ".opus")):
                globals()[filename] = filePath
    for obj in Titanoboa_BGs_CGs:
        renpy.image(obj["filename"], im.Scale(obj["filePath"], config.screen_width, config.screen_height))

    def frame_animation(image_name, frames_quantity, retention, loop, transition, start = 1, **properties):
        if image_name:
            anim_args = []
            
            for i in range(start, start + frames_quantity):
                anim_args.append(renpy.display.im.image(image_name + "_" + str(i) + ".png"))
                
                if loop:
                    anim_args.append(retention)
                    anim_args.append(transition)
            
            return anim.TransitionAnimation(*anim_args, **properties)
        return None
############## прыжок в текст ###########
label Titanoboa:
    jump Titanoboa_begin
############### Всем добра! ##############
return
